- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.locations.bigQueryExports/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.locations.bigQueryExports/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.locations.bigQueryExports/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.locations.bigQueryExports/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.locations.bigQueryExports/patch#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.locations.bigQueryExports/patch#body.aspect)
- [Try it!](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.locations.bigQueryExports/patch#try-it)

Updates a BigQuery export.

### IAM Permissions

Requires the following IAM permission on the resource specified in the `bigQueryExport.name` field:

- `securitycenter.bigQueryExports.update`

Also requires the following IAM permissions on the resource specified in the `bigQueryExport.dataset` field (when `dataset` is updated):

- `bigquery.datasets.update`
- `bigquery.datasets.get`

### HTTP request

Choose an endpoint:
global me-central2 us eu   
`PATCH https://securitycenter.googleapis.com/v2/{bigQueryExport.name=folders/*/locations/*/bigQueryExports/*}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `bigQueryExport.name` | `string` Identifier. The relative resource name of this export. See: <https://cloud.google.com/apis/design/resource_names#relative_resource_name>. The following list shows some examples: + `organizations/{organizationId}/locations/{locationId}/bigQueryExports/{export_id}` + `folders/{folder_id}/locations/{locationId}/bigQueryExports/{export_id}` + `projects/{projectId}/locations/{locationId}/bigQueryExports/{export_id}` This field is provided in responses, and is ignored when provided in create requests. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` The list of fields to be updated. If empty all mutable fields will be updated. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.locations.bigQueryExports#BigQueryExport`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.locations.bigQueryExports#BigQueryExport`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/securitycenter`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).